Loading...
Searching...
No Matches
Opm::out::Summary::SummaryImplementation Class Reference

## Public Member Functions

| SummaryImplementation (SummaryConfig &sumcfg, const EclipseState &es, const EclipseGrid &grid, const Schedule &sched, const std::string &basename, const bool writeEsmry)
| SummaryImplementation (const SummaryImplementation &rhs)=delete
| SummaryImplementation (SummaryImplementation &&rhs)=default
SummaryImplementation & | operator= (const SummaryImplementation &rhs)=delete
SummaryImplementation & | operator= (SummaryImplementation &&rhs)=default

void

eval (const int sim_step, const double secs_elapsed, const data::Wells &well_solution, const data::WellBlockAveragePressures &wbp, const data::GroupAndNetworkValues &grp_nwrk_solution, GlobalProcessParameters single_values, const std::optional< Inplace > &initial_inplace, const Opm::Inplace &inplace, const RegionParameters &region_values, const BlockValues &block_values, const data::Aquifers &aquifer_values, const InterRegFlowValues &interreg_flows, SummaryState &st) const

void | internal_store (const SummaryState &st, const int report_step, const int ministep_id, const bool isSubstep)
void | write (const bool is_final_summary)

The documentation for this class was generated from the following file:

- opm/output/eclipse/Summary.cpp